Subject: [hybi] [Technical Errata Reported] RFC6455 (3912)

From: RFC Errata System <[email-masked]>
Date: Wed, 5 Mar 2014 04:12:17 -0800 (PST)

The following errata report has been submitted for RFC6455,
"The WebSocket Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6455&eid=3912

--------------------------------------
Type: Technical
Reported by: Mattias Ekendahl <[email-masked]>

Section: 5.2

Original Text
-------------
    frame-payload-length    = ( %x00-7D )
                            / ( %x7E frame-payload-length-16 )
                            / ( %x7F frame-payload-length-63 )
                            ; 7, 7+16, or 7+64 bits in length,
                            ; respectively

    frame-payload-length-16 = %x0000-FFFF ; 16 bits in length

    frame-payload-length-63 = %x0000000000000000-7FFFFFFFFFFFFFFF
                            ; 64 bits in length

Corrected Text
--------------
    frame-payload-length    = ( %x00-7D )
                            / ( %x7E frame-payload-length-16 )
                            / ( %x7F frame-payload-length-64 )
                            ; 7, 7+16, or 7+64 bits in length,
                            ; respectively

    frame-payload-length-16 = %x0000-FFFF ; 16 bits in length

    frame-payload-length-64 = %x0000000000000000-FFFFFFFFFFFFFFFF
                            ; 64 bits in length

Notes
-----
Name of field and range is implying that it should be 63 bits in length, but documentation is saying 64 bits in 2 places.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6455 (draft-ietf-hybi-thewebsocketprotocol-17)
--------------------------------------
Title               : The WebSocket Protocol
Publication Date    : December 2011
Author(s)           : I. Fette, A. Melnikov
Category            : PROPOSED STANDARD
Source              : BiDirectional or Server-Initiated HTTP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Barry Leiba <[email-masked]>
Date: Wed, 5 Mar 2014 06:48:21 -0800

That sounds like "Reject" to me, then, yes?

Barry

On Wed, Mar 5, 2014 at 6:45 AM, Bjoern Hoehrmann <[email-masked]> wrote:
> * RFC Errata System wrote:
>>Original Text
>>-------------
>>Name of field and range is implying that it should be 63 bits in length,
>>but documentation is saying 64 bits in 2 places.
>
> The intended interpretation is that lexically the field is 64 bit long
> but the value space is constrained to 63 bit (so the length can be re-
> presented in a 64 signed integer, i.e. one bit is always zero). It is a
> bit unconventional to use ABNF like this, but it is explained in §5.2.
> --
> Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
> Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
> 25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Takeshi Yoshino <[email-masked]>
Date: Thu, 6 Mar 2014 17:22:57 +0900

> > bit unconventional to use ABNF like this, but it is explained in §5.2.

Agreed. This text clearly states that.

> If 127, the
> following 8 bytes interpreted as a 64-bit unsigned integer (the
> most significant bit MUST be 0) are the payload length.

This 63 is confusing but as we have the comment "; 64 bits in length" at
the next line and this clear definition in Section 5.2, IMO, we don't need
to bother publishing an errata.

> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi
>